# [Bideo](https://github.com/kurenn/bideo)

[![Gitter](https://badges.gitter.im/Join Chat.svg)](https://gitter.im/kurenn/bideo?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

Bideo is a super simple library to download videos from Youtube and transcode them into mp3. 


## Table of contents
- [Quick start](#quick-start)
- [Using the gem](#using-the-gem)
- [Contributing](#contributing)
- [License](#license)

## Quick start

Install sabisu is extremely easy, but before you get started, you need to install one dependency:

### Using OSX

```console
$ brew install ffmpeg
```

### Using Linux

You can download the package in here [https://www.ffmpeg.org/download.html#build-linux](https://www.ffmpeg.org/download.html#build-linux)

*FFmpeg is the leading multimedia framework, able to decode, encode, transcode, mux, demux, stream, filter and play pretty much anything that humans and machines have created. It supports the most obscure ancient formats up to the cutting edge. No matter if they were designed by some standards committee, the community or a corporation.*

After having everything nice and running, you can just install the gem:

```console
$ gem install bideo
```

or add it to your `Gemfile`

```ruby
gem 'bideo'
```

## Using the gem

The gem will help you download music or video files really easy, for example to download a video from youtube:

### Downloading & transcoding videos

```ruby
movie = Bideo::Video.new("https://www.youtube.com/watch?v=z8AQQrbVTfQ")
movie.download("/Users/<yourusername>/Desktop")
```

That's it, but wait there is more, if you want to transcode the video to an mp3 format for example, just call the `transcode` method:

```ruby
movie.transcode
```

**For videos you can add a playlist from youtube and it will download all the videos from the playlist. Same goes for the transcoding.**

The file will be transcoded on the same directory you downloaded the videos previously.

### Downloading music

```ruby
music = Bideo::Music("http://a_url_for_music")
music.download("/Users/<yourusername>/Desktop")
```

And that is it.


## Contributing

Please submit all pull requests against a separate branch. Please follow the standard for naming the variables, mixins, etc.

In case you are wondering what to attack, we hnow have a milestone with the version to work, some fixes and refactors. Feel free to start one.

Thanks!


## Licenses

Code released under [the MIT license](LICENSE).